{% extends "base.html" %}
{% block content %}
<!doctype html>
<html lang="en">

  <head>
    <meta charset="utf-8">
    <link rel = "stylesheet" href = "{{ url_for('static', filename = 'main.css') }}">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
     <!-- jQuery first, then Popper.js, then Bootstrap JS -->
     <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
     <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
     <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
     <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
  </head>
  <form method="get">
    Search :{{g.find_music.q(size=20)}}
  </form>
  {% if song %}
  {% for s in song %}
  {{s}}
  {% endfor %}
  {% endif %}
  <div id="demo" class="carousel slide" data-ride="carousel">
      <ul class="carousel-indicators">
        <li data-target="#demo" data-slide-to="0" class="active"></li>
        <li data-target="#demo" data-slide-to="1"></li>
        <li data-target="#demo" data-slide-to="2"></li>
        <li data-target="#demo" data-slide-to="3"></li>
        <li data-target="#demo" data-slide-to="4"></li>
        <li data-target="#demo" data-slide-to="5"></li>
      </ul>
      <div class="carousel-inner">
        <div class="carousel-item active">
          <img src="static/image/carousel/carousel1.jpg" class = "carousel" width="90%" height="400">
        </div>
        <div class="carousel-item">
          <img src="static/image/carousel/carousel2.jpg" class = "carousel" width="90%" height="400">
        </div>
        <div class="carousel-item">
          <img src="static/image/carousel/carousel3.jpg" class = "carousel" width="90%" height="400">
        </div>
        <div class="carousel-item">
            <img src="static/image/carousel/carousel4.jpg" class = "carousel" width="90%" height="400">
        </div>
        <div class="carousel-item">
            <img src="static/image/carousel/carousel5.jpg" class = "carousel" width="90%" height="400">
        </div>
        <div class="carousel-item">
            <img src="static/image/carousel/carousel6.jpg" class = "carousel"width="90%" height="400">
        </div>
      </div>
      <a class="carousel-control-next" href="#demo" data-slide="next">
          <span class="carousel-control-next-icon"></span>
      </a>
      <a class="carousel-control-prev" href="#demo" data-slide="prev">
          <span class="carousel-control-prev-icon"></span>
      </a>
  </div>

  <h6 class ="language-title">Latest Hindi</h6>
  <div class = "hindisong-container">
    <div class = "prev">
      {% if hindi_prev_url %}
        <a href="{{ hindi_prev_url }}" style="font-weight: bold; font-size:20px">Prev</a>
      {% endif %}
    </div>
    <div class="hindi-song-info">
      {% for song in hindi_music %}
        {% if song.image != None and song.language == 'Hindi' %}
          <div class="cover-image">
            <a class = "song-name" href = "javascript:void(0);" onclick = "playSong('{{ song.name }}')"><img width="60%" src="{{url_for('static', filename='image/cover/'+song.image)}}" alt="" /><br>{{ song.name }}</a>
          </div>
        {% endif %}
      {% endfor %}
    </div>
    <div class = "next">
      {% if hindi_next_url %}
      <a href="{{ hindi_next_url }}" style="font-weight: bold; font-size:20px">Next</a>
      {% endif %}
    </div>
  </div>

  <h6 class ="language-title">Latest English</h6>
  <div class = "english-container">
    <div class = "prev">
      {% if english_prev_url %}
        <a href="{{ english_prev_url }}" onclick="checkbutton('english')" style="font-weight: bold; font-size:20px">Prev</a>
      {% endif %}
    </div>
    <div class="english-song-info">
      {% for song in english_music %}
        {% if song.image != None and song.language == 'English' %}
          <div class="cover-image">
            <a class = "song-name" href = "javascript:void(0);" onclick = "playSong('{{ song.name }}')"> <img width="60%" src="{{url_for('static', filename='image/cover/'+song.image)}}" alt="" /><br>{{ song.name }}</a>
          </div>
        {% endif %}
      {% endfor %}
    </div>
    <div class = "next">
      {% if english_next_url %}
        <a href="{{ english_next_url }}" style="font-weight: bold; font-size:20px">Next</a>
      {% endif %}
    </div>
  </div>

  </div>
  <div class ="language-title">Artist</div>
  <div class="artist-profile">
    {% for song in music %}
      {% if song.artist_image != None %}
         <div class="artist-info">
          <a  href="{{ url_for('artist_songs', artist = song.artist) }}"><img width="68%" class = "img-circle" src="{{url_for('static', filename='image/artist/'+ song.artist_image)}}" alt="artist_image" /><br>
            <p class="artist_name">{{song.artist}}</p></a>
        </div>
      {% endif%}
    {% endfor %}
  </div>
  <div class="audio-control" fixed><audio controls = "controls" autoplay = "autoplay"></audio></div>

  <script type = "text/javascript">
    function playSong(song){
        $('audio').attr('src', '/static/music/'+song);
    }
    </script>

  {% endblock %}
</html>